//: C01:StdExcept.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Odvozuje třídu výjimky of std::runtime_error.
#include <stdexcept>
#include <iostream>
using namespace std;

class VlastniChyba : public runtime_error {
public:
  VlastniChyba(const string& msg = "") : runtime_error(msg) {}
};

int main() {
  try {
    throw VlastniChyba("vlastní zpráva");
  } catch(VlastniChyba& x) {
    cout << x.what() << endl;
  }
} ///:~
